Subject: Re: bug#51428: core-updates-frozen-batched-changes built and ready to merge

From: Ludovic Courtès <[email-masked]>
Date: Wed, 27 Oct 2021 16:51:25 +0200

Hello!

Maxim Cournoyer <[email-masked]> skribis:

> I've experimented quite a bit with core-updates-frozen-batched-changes
> in the last weeks, and it seems to be in a decent shape, good enough to
> merge into core-updates-frozen, I think.

Woo!  Congrats!

> I'd like to bring attention to some non-trivial changes that I included
> in the branch:
>
> 1. merging of the staging branch -- quite a few conflicts had to be
> resolved.
>
> 2. Replacement of [email-masked] by [email-masked], which required solving
> some dependency cycles.
>
> 3. Fix for https://issues.guix.gnu.org/50957 via a new search path
> specification on gdk-pixbuf and accompanying build phase and profile
> hook.

Well done!

> I'll send the corresponding patches for review, which can also be
> consulted directly on the core-updates-frozen-batched-changes branch,
> which I've manually built on Berlin for things such as Rust and
> ungoogled-chromium.
>
> I'd like to merge it into core-updates-frozen by the beginning of
> November, unless there are problems you can spot :-).

I’ve sent minor comments (no blockers) regarding the bits I’m the most
familiar with.

I’d say that if your testing is conclusive, you can probably merge while
fresh substitutes are still around!

Thanks,
Ludo’.